Package de.willuhn.jameica.hbci.passports.pintan

# Class PhotoTANDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.passports.pintan.TANDialog
de.willuhn.jameica.hbci.passports.pintan.PhotoTANDialog

public class PhotoTANDialog extends TANDialog
Dialog für die PhotoTAN und QRTAN-Eingabe.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.passports.pintan.TANDialog

`config, i18n, WINDOW_HEIGHT, WINDOW_WIDTH`

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`PhotoTANDialog(PinTanConfig config, byte[] bytes)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extendTop(de.willuhn.jameica.gui.util.Container container)`
Erweitert den oben..
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.hbci.passports.pintan.TANDialog

`extendBottom, getContext, getData, setContext, setInfoText, setNeedTAN, setShowTAN, setTAN, setText`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PhotoTANDialog

public PhotoTANDialog(PinTanConfig config, byte[] bytes) throws RemoteException, de.willuhn.util.ApplicationException
ct.

Parameters:
  `config` - die PINTAN-Config.
  `bytes` - die Bytes des Bildes.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException` - wenn die Grafik nicht geparst werden konnte.

## Method Details

### extendTop

protected void extendTop(de.willuhn.jameica.gui.util.Container container) throws Exception
Description copied from class: `TANDialog`
Erweitert den oben..

Overrides:
  `extendTop` in class `TANDialog`
Parameters:
  `container` - der Container.
Throws:
  `Exception`
See Also:
  - `TANDialog.extendTop(de.willuhn.jameica.gui.util.Container)`

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Overrides:
  `paint` in class `TANDialog`
Throws:
  `Exception`
See Also:
  - `TANDialog.paint(org.eclipse.swt.widgets.Composite)`